/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model53
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model53 {
  @SerializedName("wire_code_type")
  private String wireCodeType = null;

  @SerializedName("value")
  private String value = null;

  public Model53 wireCodeType(String wireCodeType) {
    this.wireCodeType = wireCodeType;
    return this;
  }

   /**
   * Type of wire code. Expected values (ABA, IBAN, SWIFT, BIC, CLABE, CBU)
   * @return wireCodeType
  **/
  @ApiModelProperty(example = "IBAN", value = "Type of wire code. Expected values (ABA, IBAN, SWIFT, BIC, CLABE, CBU)")
  public String getWireCodeType() {
    return wireCodeType;
  }

  public void setWireCodeType(String wireCodeType) {
    this.wireCodeType = wireCodeType;
  }

  public Model53 value(String value) {
    this.value = value;
    return this;
  }

   /**
   * Value of the wire code
   * @return value
  **/
  @ApiModelProperty(example = "IBAN", required = true, value = "Value of the wire code")
  public String getValue() {
    return value;
  }

  public void setValue(String value) {
    this.value = value;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model53 model53 = (Model53) o;
    return Objects.equals(this.wireCodeType, model53.wireCodeType) &&
        Objects.equals(this.value, model53.value);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wireCodeType, value);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model53 {\n");
    
    sb.append("    wireCodeType: ").append(toIndentedString(wireCodeType)).append("\n");
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

